<div class="pie-chart mt-3 d-flex">
  <ngx-charts-pie-chart class="d-inline-block m-auto"
                        [view]="view"
                        [scheme]="colorScheme"
                        [results]="chart"
                        [animations]="animations"
                        [legend]="showLegend"
                        [legendTitle]="legendTitle"
                        [explodeSlices]="explodeSlices"
                        [labels]="showLabels"
                        [doughnut]="doughnut"
                        [arcWidth]="arcWidth"
                        [gradient]="gradient"
                        [trimLabels]="trimLabels"
                        (legendLabelClick)="onLegendLabelClick($event)"
                        [tooltipDisabled]="tooltipDisabled"
                        [tooltipText]="pieTooltipText"
                        (dblclick)="dblclick($event)"
                        (select)="select($event)">
  </ngx-charts-pie-chart>
</div>
